summaryrefslogtreecommitdiff
path: root/examples/hooks/all_binary_debian-installer-banner.sh
diff options
context:
space:
mode:
Diffstat (limited to 'examples/hooks/all_binary_debian-installer-banner.sh')
-rwxr-xr-xexamples/hooks/all_binary_debian-installer-banner.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/examples/hooks/all_binary_debian-installer-banner.sh b/examples/hooks/all_binary_debian-installer-banner.sh
new file mode 100755
index 0000000..7be8682
--- /dev/null
+++ b/examples/hooks/all_binary_debian-installer-banner.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+# This is an binary hook for live-helper(7) to overwrite the banner
+# in the graphical Debian Installer.
+# To enable it, copy or symlink this hook into your config/binary_local-hooks
+# directory and add a replacement banner.png at:
+#
+# config/binary_local-includes/binary/install/banner.png
+#
+# The file should be a PNG image of dimensions 800 x 75.
+
+set -e
+
+if [ -e config/binary_debian-installer/banner.png ]
+then
+ TARGET_INITRD="binary/install/gtk/initrd.gz"
+ REPACK_TMPDIR="binary.initrd"
+
+ if [ -e "${TARGET_INITRD}" ]
+ then
+ # cpio does not have a "extract to directory", so we must change
+ # directory
+ mkdir -p ${REPACK_TMPDIR}
+ cd ${REPACK_TMPDIR}
+ gzip -d < ../${TARGET_INITRD} | cpio -i --make-directories --no-absolute-filenames
+
+ # Overwrite banner
+ cp ../config/binary_debian-installer/banner.png ./usr/share/graphics/logo_debian.png
+
+ find | cpio -H newc -o | gzip -9 > ../${TARGET_INITRD}
+ cd ..
+ rm -rf ${REPACK_TMPDIR}
+ fi
+fi